raspi-firmware (1:1.20240529-1) bookworm; urgency=medium

  * d/: Update gbp.conf
  * New upstream version 1.20240529

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 29 May 2024 15:01:05 +0100

raspi-firmware (1:1.20240424-1) bookworm; urgency=medium

  * New upstream version 1.20240424
  * Bump epoch
  * d/gbp.conf: use git-buildpackage for managing the package
  * d/watch: use firmware github releases page as upstream source
  * Add debian/.gitignore
  * Rework kernel and initramfs hooks
  * Remove WLAN firmware
  * d/c: Change Maintainer
  * d/c: Update VCS information
  * d/c: raspi-firmware should support all Raspberry Pi boards
  * d/copyright: don't exclude files

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 24 Apr 2024 17:46:43 +0100

raspi-firmware (1.20230405+ds-2) unstable; urgency=medium

  * Skip running postinst if installing on a system that's not arch:arm*
    (Closes: #1040896, #1040485, #1042070, #1040669)

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 26 Jul 2023 12:39:57 -0600

raspi-firmware (1.20230405+ds-1) unstable; urgency=medium

  * New upstream version
  * Fixed typo in brcm_firmware patch (not-needd → not-needed)
  * Don't copy files to /boot/firmware on remove (Closes: #1032186)
  * Updated standards-version 4.6.0→4.6.2 (no changes)
  * Updated Lintian overrides

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 05 Jul 2023 13:17:20 -0600

raspi-firmware (1.20220830+ds-1) unstable; urgency=medium

  [ Gunnar Wolf ]
  * New upstream release
  * Move from non-free to the new non-free-firmware section
  * Drop the transitional package raspi3-firmware, as it is no longer
    needed after a full release cycle (Debian 11 Bookworm released with
    raspi-firmware already)

  [ Diederik de Haas ]
  * Specify CMA value to disable CMA allocation (Salsa MR !28)

  [ Andres Salomon ]
  * Only put core_freq into config.txt if GPU_FREQ is not empty (Salsa
    MR !29)

  [ Jiri Kastner ]
  * Added firmware-brcm80211, firmware-misc-nonfree, bluez-firmware
    packages as Suggests (Salsa MR !31) (Closes: #1014865)

  [ João Ricardo Matos ]
  * Add Btrfs and ZFS rootfs support to cmdline.txt generation (Salsa MR
    !23) (Closes: #984691)

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 03 Oct 2022 09:11:55 -0500

raspi-firmware (1.20220331+ds-2) unstable; urgency=medium

  * Factorize Pi 4 detection, used for GPU_FREQ and CMA settings. Also
    discard confusing error messages when neither /sys/firmware/devicetree
    nor /proc/device-tree exist, which is the case when building images
    (e.g. with image-specs).
  * Add support for Compute Module 4 devices: they are in the Pi 4 family
    as well, just like the Pi 4 B and Pi 400 models, need the same tweaks
    for the CMA setting, and might require adjusting GPU_FREQ to ensure
    the serial console is usable (Closes: #996937).

 -- Cyril Brulebois <cyril@debamax.com>  Sun, 08 May 2022 19:14:25 +0200

raspi-firmware (1.20220331+ds-1) unstable; urgency=medium

  * Change the binary package from declaring "arch: arm64 armhf armel"
    to "arch: all" (firmware is in the end just data!)
  * Updated copyright information for debian/*
  * Updated Lintian overrides
  * Added the brcmfmac43456-sdio.{bin,clm_blob,txt} firmware files for
    wlan0 support in the RPi p400; removed brcmfmac43455 as it is now
    provided by firmware-brcm80211

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 01 Apr 2022 11:48:35 -0600

raspi-firmware (1.20220328+ds-1) unstable; urgency=medium

  * New upstream release
  * Fixes performance regression on RPi4 systems due to CPU clocks not
    being exposed (Closes: #1007719)
  * Fixes dual-screen setups not working on RPi4 systems (Closes:
    #1005846)

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 31 Mar 2022 23:32:29 -0600

raspi-firmware (1.20220120+ds-1) unstable; urgency=medium

  * New upstream release
  * Update standards-version 4.5.1→4.6.0 (no changes needed)
  * Fixed debian/watch to correctly report new versions
  * Fix omitted clarification on autogenerated config.txt file (Closes:
    #1004280)

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 10 Feb 2022 23:33:01 -0600

raspi-firmware (1.20210805+ds-1) unstable; urgency=medium

  * New upstream release

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 27 Aug 2021 09:53:57 -0500

raspi-firmware (1.20210303+ds-2) unstable; urgency=medium

  * Add a header to config.txt warning users it's an autogenerated file
    (Closes: #983896)
  * Added config option GPU_FREQ to allow specifying a fixed GPU speed,
    needed for using the serial console in the RPi4 family
  * ignore *.old-dkms when configuring a new kernel/initrd (Closes:
    #983409)
  * Applied some shellcheck fixes to improve clarity. Thanks Diederik!

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 21 Apr 2021 00:52:21 -0500

raspi-firmware (1.20210303+ds-1) unstable; urgency=medium

  * New upstream release

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 05 Apr 2021 10:42:59 -0500

raspi-firmware (1.20210111+ds-2) unstable; urgency=medium

  * Added better detection code to provide a working serial console
  * dh_strip and dh_dwz should not be run over firmware files! Disable
    them.

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 14 Jan 2021 13:53:53 -0600

raspi-firmware (1.20210111+ds-1) unstable; urgency=medium

  * New upstream release
  * Several lintian low-priority messages cleaned
    * debhelper compat 10→13
    * Remove redundant Priority/Section tags from binary packages when
      they replicate the source package's respective tag
    * Vcs-Browser should not include the trailing ".git" particle
    * Standards-version 4.5.0 → 4.5.1.0
    * Override warnings "unused-file-paragraph-in-dep5-copyright" and
      "wildcard-matches-nothing-in-dep5-copyright", as relevant files
      came from a different source (documented in debian/copyright)
    * Added "+ds" suffix to produced upstream version in debian/watch
      indicating it is different from the upstream release

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 11 Jan 2021 17:57:36 -0600

raspi-firmware (1.20201022-3) unstable; urgency=medium

  * One more stab at fixing architecture detection - It gets tricky! :-(
    (Closes: #975943)
  * Dropped dependency on file - no longer needed

 -- Gunnar Wolf <gwolf@debian.org>  Sun, 03 Jan 2021 17:00:16 -0600

raspi-firmware (1.20201022-2) unstable; urgency=medium

  * Team upload.

  [ Diederik de Haas ]
  * Fix arch detection of latest kernel (Closes: #975943).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 20 Dec 2020 10:50:54 -0300

raspi-firmware (1.20201022-1) unstable; urgency=medium

  * New upstream version 1.20201022
  * Use DPKG_MAINTSCRIPT_ARCH for getting system architecture instead of
    dpkg --print-architecture (Closes: #971748)
  * Drop deprecated declaration of elevator=deadline (Closes: #971882)
  * Allow to pass arbitrary parameters to the kernel via
    /etc/default/raspi-extra-cmdline (Closes: #971883, #951744)
  * Reliability fix when copying DTBs (Closes: #968376)

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 28 Oct 2020 23:49:05 -0600

raspi-firmware (1.20200601-3) unstable; urgency=medium

  * Fix ROOTPART on virtual environment, thanks to Francisco José R. M.
    for pointing out to the culprit!

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 20 Aug 2020 11:34:50 -0500

raspi-firmware (1.20200601-2) unstable; urgency=medium

  * Drop an ancient (pre-kernel 4.14) confusing bit of conditional code
  * Don't set CMA in RPi4 unless specified expressly

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 05 Aug 2020 11:52:35 -0500

raspi-firmware (1.20200601-1) unstable; urgency=medium

  [ Romain Perier ]
  * New upstream version 1.20200601

  [ Gunnar Wolf ]
  * Fix z50-raspi-firmware causing an unbootable system due to the
    hardcoding of partition numbers (Closes: #964915)

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 05 Aug 2020 00:57:15 -0500

raspi-firmware (1.20200212-1) unstable; urgency=medium

  * New upstream version 1.20200212
  * debian/copyright: Exclude .github/ISSUE_TEMPLATE/bug_report.md

 -- Romain Perier <romain.perier@gmail.com>  Mon, 30 Mar 2020 18:54:52 +0200

raspi-firmware (1.20200114-2) unstable; urgency=medium

  * Fix dtb names mismatch in z50-raspi-firmware and add new option
    upstream_kernel=1 to the config.txt. These two changes allow for the
    correct boot on RPi families 1 and 0. Thanks to Valentin Vidic for the
    fix! (no BTS bugs fixed, refer to Salsa merge request 12)
  * Fixes the serial console in models that lack wireless
    communication. Again, thanks to Valentin Vidic! (Salsa merge request 13)

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 12 Mar 2020 12:16:27 -0600

raspi-firmware (1.20200114-1) unstable; urgency=medium

  * New upstream version 1.20200114
  * Updated standards-version 4.3.0 → 4.5.0 (no changes needed)
  * Replaced tabs with spacs throughout debian/copyright to comply with
    DEP-5 and keep lintian happy ☺

 -- Gunnar Wolf <gwolf@debian.org>  Tue, 28 Jan 2020 12:49:12 -0600

raspi-firmware (1.20190925-1) unstable; urgency=medium

  * New upstream version 1.20190925
  * Transitional package should not have Architecture: all (Closes: #947804)

 -- Romain Perier <romain.perier@gmail.com>  Fri, 03 Jan 2020 13:52:19 +0100

raspi-firmware (1.20190819-2) unstable; urgency=medium

  * Fix serial console output sent to bluetooth port with kernel 5.x.
    Thanks to Thorsten Glaser (Closes: #941971)

 -- Romain Perier <romain.perier@gmail.com>  Thu, 10 Oct 2019 13:18:57 +0200

raspi-firmware (1.20190819-1) unstable; urgency=medium

  * New upstream version 1.20190819 (Closes: #935919)

 -- Romain Perier <romain.perier@gmail.com>  Mon, 26 Aug 2019 19:27:01 +0200

raspi-firmware (1.20190718-1) unstable; urgency=medium

  [ Romain Perier ]
  * New upstream version 1.20190718-1
  * Rename package to raspi-firmware

  [ Cyril Brulebois ]
  * Add support for bcm2837-rpi-cm3-io3.dtb (as generated by the Linux
    kernel build system) aka. bcm2710-rpi-cm3.dtb (as expected by the
    bootloader), designed to work for:
     - Raspberry Pi Compute Module 3 (CM3);
     - Raspberry Pi Compute Module 3 Lite (CM3L);
     - Raspberry Pi Compute Module IO Board V3.
    With many thanks to Charles Fendt for the tests (Closes: #932158).
  * The DTB addition in the linux source package is tracked in #932157.

  [ Gunnar Wolf ]
  * Added Rules-Require-Root: no to debian/control (plus section and
    priority to a binpkg section)
  * Rename conffiles to reflect package name change
  * Transitional package should be in the oldlibs section
  * Add code to handle custom kernel options (Closes: #934833)
  * Renamed repository dropping the "3" after raspi; reflected it in Vcs-
    Git and Vcs-Browser

 -- Romain Perier <romain.perier@gmail.com>  Mon, 15 Jul 2019 21:07:16 +0200

raspi3-firmware (1.20190620+1-1) unstable; urgency=medium

  * New upstream version 1.20190620+1
  * d/copyright: Exclude pre-built kernel images from boot (Closes: #924315)
  * d/raspi3-firmware.lintian-overrides: Override new rules regarding embedded
    libraries into binaries, statically linked new binaries and binaries from
    other architectures. These are required for the addition of the tnew first
    level bootloader binaries blobs for the pi 4.

 -- Romain Perier <romain.perier@gmail.com>  Tue, 25 Jun 2019 19:40:39 +0200

raspi3-firmware (1.20190215-2) unstable; urgency=medium

  * z50-raspi3-firmware: Change to use arm_64bit=1 (Closes: #925062)
  * z50-raspi3-firmware: Make consoles configurable for cmdline.txt
   (Closes: #926325)

 -- Romain Perier <romain.perier@gmail.com>  Wed, 03 Apr 2019 19:21:40 +0200

raspi3-firmware (1.20190215-2~exp1) experimental; urgency=medium

  * Switch to package.maintscript

 -- Romain Perier <romain.perier@gmail.com>  Mon, 04 Mar 2019 13:31:59 +0100

raspi3-firmware (1.20190215-1) unstable; urgency=medium

  [ Gunnar Wolf ]
  * New upstream version 1.20190215
  * Added armel as a build architecture
  * Added Romain Perier as an uploader
  * Updated standards-version 3.9.8 → 4.3.0 (no changes needed)

  [ Romain Perier ]
  * d/kernel/postinst.d/z50-raspi3-firmware: Allow the kernel image and the
    initramfs usage to be configurable from /etc/default/raspi3-firmware
  * z50-raspi3-firmware: Add RPI 1 RPI Zero W DTBs when booting linux directly
  * Add support for the armel architecture

 -- Gunnar Wolf <gwolf@debian.org>  Sun, 17 Feb 2019 21:59:36 -0600

raspi3-firmware (1.20181112-1) unstable; urgency=medium

  [ Gunnar Wolf ]
  * Added support for installing the 3B+ firmware
  * Add configurable options for cmdline.txt (Closes: #903543)
  * Add brcm80211/brcmfmac43430-sdio.txt,
    brcm80211/brcmfmac43455-sdio.txt  and brcm80211/brcmfmac43455.clm_blob
    via a quilt patch, to solve the issue of uscan not providing a full
    tarball to work from. Thanks to Romain Perier for his help! (Closes: #897234)
  * Make sure that firmware hooks get triggered after initrd hooks
    (Closes: #910790). Thanks to Matthias Lüscher!

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/rules: Remove trailing whitespaces

  [ Romain Perier ]
  * Encode the files to be excluded from the orig.tar.gz in d/copyright so
    that uscan produces a suitable tarball

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 27 Aug 2018 19:00:06 -0500

raspi3-firmware (1.20180619-1) unstable; urgency=medium

  * New upstream version 1.20180619-1
  * Added myself as an uploader
  * Updated the VCS URLs to salsa.debian.org
  * Differentiated the two proprietary licenses in debian/copyright to
    please Lintian

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 18 Jul 2018 14:05:26 -0500

raspi3-firmware (1.20180316-3) unstable; urgency=medium

  * correct path in postinst script

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 21 Mar 2018 13:53:07 +0100

raspi3-firmware (1.20180316-2) unstable; urgency=medium

  * Rename hooks to 50raspi3-firmware (Closes: #848101)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 20 Mar 2018 21:11:04 +0100

raspi3-firmware (1.20180316-1) unstable; urgency=medium

  * New upstream version 1.20180316
    (for compatibility with the Raspberry Pi 3 B+)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 19 Mar 2018 19:27:04 +0100

raspi3-firmware (1.20171201-4) unstable; urgency=medium

  [ Matthias Lüscher ]
  * Do not check mount point if virtualization gets detected.
  * Copy and rename all possible device tree binaries.
  * Added missing dosfstools dependency.
  * Increase cma memory to 64M to allow proper vc4 GPU initialization.
  * Adjusted package description.

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 12 Mar 2018 20:29:09 +0100

raspi3-firmware (1.20171201-3) unstable; urgency=medium

  * Ensure /boot/firmware exists (Closes: #887062)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 21 Jan 2018 15:35:47 +0100

raspi3-firmware (1.20171201-2) unstable; urgency=medium

  * postinst: also trigger hook on upgrades, not just first installation

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 06 Jan 2018 18:14:17 +0100

raspi3-firmware (1.20171201-1) unstable; urgency=medium

  * New upstream version 1.20171201
    (git revision 9426e18b87b343b84280ad2e4151863e36595c4a)
  * Add the Raspberry Pi 3-specific firmware file brcmfmac43430-sdio.txt

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 05 Jan 2018 07:56:12 +0100

raspi3-firmware (1.20171006-2) unstable; urgency=medium

  * Fix serial console on Linux ≥ 4.14
  * Add console=tty0 for boot messages on the attached monitor (if any)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 04 Jan 2018 17:47:11 +0100

raspi3-firmware (1.20171006-1) unstable; urgency=medium

  * Fix sort order for newer kernel versions (Patch by Martin Schitter)
  * Avail package on armhf (patch by Vagrant Cascadian) (Closes: #858428)
  * Add kernel/postrm.d/raspi3-firmware to clean up after kernel removal
    (Patch by Martin Schitter)
  * New upstream version 1.20171006
    (git revision 2669578d1449255edf23f38ed98d208ab73faed7)
  * set net.ifnames=0 in cmdline
  * Add missing dpkg-maintscript-helper call to postinst, postrm
  * experimental to unstable as the freeze is over

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 07 Oct 2017 08:56:04 +0200

raspi3-firmware (1.20170317-4) experimental; urgency=medium

  * Add XS-Autobuild: yes, as non-free packages are not automatically built by default

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 08 Jun 2017 09:17:26 +0200

raspi3-firmware (1.20170317-3) experimental; urgency=medium

  * fix hook location: s/initramfs-tools/initramfs/
  * hook: ignore temporary .dpkg-bak files
  * cmdline: mount root fs read/write for resizing
  * add raspi3-firmware-fsck initramfs-tools hook
  * remove old conffile for users who upgrade in-place

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 22 Mar 2017 18:08:32 +0100

raspi3-firmware (1.20170317-2) experimental; urgency=medium

  * initramfs-tools: move raspi3-firmware from hooks to post-update.d

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 22 Mar 2017 14:58:43 +0100

raspi3-firmware (1.20170317-1) experimental; urgency=medium

  * New upstream version 1.20170317
    (git revision 509beaab0e102cf6decf209922669700c9ac5576)
  * Upload to experimental during the freeze
  * The new upstream version populates the device tree with the ethernet MAC
    address, so the MAC address will persist across reboots.
  * Add /etc/initramfs-tools/hooks/raspi3-firmware to also update the files in
    /boot/firmware/ when only the initramfs is being updated (as opposed to
    kernel and initramfs).
  * Switch from Conflicts+Replaces to Breaks+Replaces, as per the lintian
    warning conflicts-with-version.

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 22 Mar 2017 12:40:36 +0100

raspi3-firmware (1.20161123-2) unstable; urgency=medium

  * Rename package to raspi3-firmware to be consistent with the remaining
    *-firmware packages (Thanks Ben Hutchings for the hint)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 27 Nov 2016 21:53:06 +0100

linux-firmware-raspi3 (1.20161123-1) unstable; urgency=medium

  * Initial upload of the package to Debian, based on the
    linux-firmware-raspi2 work in Ubuntu (Thanks!) (Closes: #845488)
  * Rename package to linux-firmware-raspi3
  * s/armhf/arm64/ for the Raspberry Pi 3
  * postinst: allow sync to fail
  * add kernel postinst.d hook to copy images and update configs
  * change maintainer to newly-created pkg-raspi
  * bump debhelper compat to 10, bump standards-version to 3.9.8
  * add lintian-overrides for binary package
  * package description: add trademark acknowledgement
  * add Vcs-* tags
  * New upstream version 1.20161123
    (git revision 18b5b6977d021937d82fb94010c99d84b403a08a)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 24 Nov 2016 09:45:42 +0100

linux-firmware-raspi2 (1.20151118+b70b451-0ubuntu1) xenial; urgency=low

  * Switch package naming to fall into the linux-firmware-* hierachy.
  * Move to section multiverse/misc.
  * Update standards version to 3.9.7 no changes required.
  * Check that /boot/firmware is a mount point (or that we are in a chroot).
  * We do not need to install LICENCE.broadcom.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 20 Apr 2016 12:23:41 +0100

raspberrypi2-firmware (4.1.15-b70b451-0ubuntu1) xenial; urgency=medium

  * Initial upload to Ubuntu.
  * Add lintian overrides to suppress errors about known binary-only firmware.
  * Set upload component to restricted.
  * Fix inconsistency between upstream LICENSE file and debian/copyright.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 05 Feb 2016 01:06:55 +0000

raspberrypi2-firmware (4.1.15-b70b451-1) xenial; urgency=medium

  * Update to version 4.1.15 @ b70b451

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 08 Jan 2016 10:53:53 +0100

raspberrypi2-firmware (4.1.10-ba7a8fb-1) wily; urgency=low

  * Initial import - https://github.com/raspberrypi/firmware / master @ ba7a8fb

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 19 Oct 2015 15:34:09 +0200
